scala.collection.jcl.Map
class Lense

[source: `scala/collection/jcl/Map.scala`]

`protected` `class` Lense[F](f : (E) => F, g : (F) => E)
  `extends` Projection[K, F]

Direct Known Subclasses:
  SortedMap.Lense

Method Summary
`override def` | elements : MutableIterator[(K, F)] The default implementation of a map over mutable iterable collections.
`override def` | get (key : K) : Option[F] Check if this map maps `key` to a value and return the value if it exists.
`override def` | lense [G](f0 : (F) => G, g0 : (G) => F) : Projection[K, G]
`override def` | put (key : K, elem : F) : Option[F] Map `key` to `elem` in this map and return the element that the key was previously mapped to (if any).
`override def` | removeKey (key : K) : Option[F] Remove `key` from this map and return the element that the key was previously mapped to (if any).
`override def` | size : Int Compute the number of key-to-value mappings.

Methods inherited from Projection
projection, map

Methods inherited from Map
clear, isEmpty, keySet, keys, valueSet, ++=, has, update, +, +=, -, remove, -=, filterKeys

Methods inherited from Map
+=, ++=, +, ++, ++, -=, --=, --=, -, --, --, getOrElseUpdate, transform, retain, <<, clone, +=, incl, excl

Methods inherited from Map
getOrElse, apply, contains, isDefinedAt, values, equals, hashCode, toString, default, mapElements, stringPrefix

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from Projection
filter

Methods inherited from Projection
force, flatMap, takeWhile, append

Methods inherited from MutableIterable
removeAll, --, -, retainOnly, retainAll, size0

Methods inherited from Collection
toArray

Methods inherited from Iterable
concat, ++, partition, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`override` `def` elements : MutableIterator[(K, F)]

  The default implementation of a map over mutable iterable collections.

`override` `def` removeKey(key : K) : Option[F]

  Remove `key` from this map and return the element that the key was previously mapped to (if any).

`override` `def` put(key : K, elem : F) : Option[F]

  Map `key` to `elem` in this map and return the element that the key was previously mapped to (if any).

`override` `def` get(key : K) : Option[F]

  Check if this map maps `key` to a value and return the value if it exists.

Parameters
  `key -` the key of the mapping of interest
Returns
  the value of the mapping, if it exists

`override` `def` lense[G](f0 : (F) => G, g0 : (G) => F) : Projection[K, G]

`override` `def` size : Int

  Compute the number of key-to-value mappings.

Returns
  the number of mappings